<?php

namespace App\Modules\GroupProvider\Application\Index;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class IndexGroupProviderQuery implements Query
{
    public function __construct(
        private int $id
    ) {
    }

    public function id(): string
    {
        return $this->id;
    }
}
